Break

Create a break

post

It is possible to create a break and actually separate a segment into two segments. The second segment starts from the break position and ends at the former destination of the original segment.

While creating the break, it is possible to assign trucker, vehicle and trailer for the second segment that will be created and all the following segments until next break or final segment.

Trucker, vehicle and trailer assigned to segment before creating the break will remain assigned to the segment ending at the break position.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired

uid of the segment to break

remote_idstringOptional

If you choose to identify an object with its remote_id instead of its uid then

  • replace the uid value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Body
Responses
chevron-right
200

OK

application/json
uidstring · uuidRequired

Dashdoc's internal id. It will be automatically generated by us.

Example: 447521b0-e165-11ea-a488-0242ac110007
sequential_idnumberRequiredExample: 1240993
createdstring · date-timeRequired

Date of creation sent by the creator. Useful when the transport is created by mobile devices. If network connection is bad, the created date can be later than created_device

updatedstring · date-timeRequired
deletedstring · nullableOptional
remote_idstringRequired

Your transport id. It has to be unique among all your transports

created_devicestring · date-timeRequired
creation_methodstring · enumRequiredPossible values:
archived_byobject[]Optional
is_orderbooleanRequired
invite_codestringRequiredExample: RWMUYE
statusstring · enumRequiredPossible values:
has_observationsbooleanRequired
requested_vehiclestring · max: 40Required

Only useful when the transport is created by the shipper. Free text except punction and special characters.

carrier_referencestringRequired

Text that will help the carrier operators manage the transports, e.g. transport number in his TMS. It should only be set by the carrier of the transport and the transport's creator can toggle a company-wide setting to only allow the carrier to set it.

pricenumber · float · nullableRequiredDeprecated

Full price for the transport

Example: 250
requires_washingbooleanRequired

Flag to enable the truck washing flow in the mobile app

business_privacybooleanRequired

Flag to enable 'business privacy' mode: no eCMR will be generated, and the trucker won't be prompted to share the transport link.

is_multiple_compartmentsbooleanOptional

Flag to enable 'multiple compartments' mode: truckers will have to select in which compartments loads were loaded. It also generates a specific delivery document : loading_plan.

loading_planstringOptional

Uid of the loading plan created by the trucker. Contact us if you need to retrieve data from it

invoice_numberstring · nullableRequired
invoiced_pricenumber · float · nullableOptionalDeprecated

Invoiced price for the transport. Deprecated in favour of pricing field

Example: 250
volume_display_unitstring · enumOptionalPossible values:
billing-metricsstring · nullableOptionalDeprecated

Retired feature, will always be null.

shapestringOptional
instructionsstring · max: 1000Optional

Operating instructions. The carrier, the shipper and the creator of the transport have access to those instructions. However, the creator is the only who has the right to edit.

carbon_footprintnumber · nullableRead-onlyOptional

Carbon footprint of the transport in kgCO2

post
/segments/{uid}/break/
200

OK

Last updated

Was this helpful?